# nn_freemsg(3compat) Manual Page

## NAME

nn_freemsg - free message (compatible API)

## SYNOPSIS

    #include <nanomsg/nn.h>

    int nn_freemsg(void *msg);

## DESCRIPTION

The `nn_freemsg()` deallocates a message previously allocated with `nn_allocmsg()` or similar functions.

| This function is provided for API compatibility with legacy libnanomsg. Consider using the relevant modern API instead.

## RETURN VALUES

This function always returns 0.

## ERRORS

None.

## SEE ALSO

nn_allocmsg(3compat), nn_freemsg(3compat), nn_errno(3compat), nng_compat(3compat), nng(7)